Package de.gebit.integrity.ui.contentassist

## Class AbstractDSLProposalProvider

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.AbstractCompletionProposalFactory
  - - org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider
    - - org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider
      - - de.gebit.integrity.ui.contentassist.AbstractDSLProposalProvider

- All Implemented Interfaces:
    `org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalFactory`, `org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider`
  Direct Known Subclasses:
    `DSLProposalProvider`

      public class AbstractDSLProposalProvider
      extends org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

  Represents a generated, default implementation of superclass `AbstractJavaBasedContentProposalProvider`. Methods are dynamically dispatched on the first parameter, i.e., you can override them with a more concrete subtype.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

      `org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.DefaultProposalCreator, org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider.ReferenceProposalCreator`

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

      `org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.DefaultContentAssistProcessorSwitch, org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider.NullSafeCompletionProposalAcceptor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractDSLProposalProvider()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `complete_ANY_OTHER​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ArbitraryParameterOrResultName​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_BOOLEAN_FALSE​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_BOOLEAN_TRUE​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_BooleanValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_Call​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_CallDefinition​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_Constant​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ConstantDefinition​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ConstantEntity​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ConstantValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_CustomOperation​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_DateAndTimeValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_DateValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_DECIMAL​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_DecimalValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_DIVIDER​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_DocumentationComment​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_EmptyValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_EnumValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_EURODATE​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_EuropeanDateAnd12HrsTimeValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_EuropeanDateAnd24HrsTimeValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_EuropeanDateValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ExecutionMultiplier​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_FixedParameterName​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_FixedResultName​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ForkDefinition​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ForkParameter​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ID​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_Import​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_InexistentValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_INTEGER​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_IntegerValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ISODATE​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_IsoDateAndTimeValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_IsoDateValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ISOTIME​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_IsoTimeValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ISOTIMEZONE​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_JavaClassReference​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_JavaConstantReference​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_JavaConstantValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_KeyValuePair​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_MethodReference​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ML_COMMENT​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ML_DOC_COMMENT​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ML_VISIBLE_COMMENT​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ML_VISIBLE_TITLE_COMMENT​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_Model​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_MULTIPLIER​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_NamedCallResult​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_NamedResult​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_NestedObject​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_NEWLINE​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_NL​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_NLFORCED​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_NullValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_Operation​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_OperationDefinition​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_PackageDefinition​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_PackageStatement​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_Parameter​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ParameterName​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ParameterTableHeader​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ParameterTableValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_QualifiedJavaClassName​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_QualifiedName​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_QualifiedNameWithWildcard​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_REGEX​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_RegexValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ResultName​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ResultTableHeader​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_Simple12HrsTimeValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_Simple24HrsTimeValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_SL_COMMENT​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_SL_VISIBLE_COMMENT​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_SL_VISIBLE_TITLE_COMMENT​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_StandardOperation​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_Statement​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_StaticValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_STRING​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_StringValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_Suite​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_SuiteDefinition​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_SuiteParameter​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_SuiteParameterDefinition​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_SuiteReturn​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_SuiteReturnDefinition​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_SuiteStatement​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_SuiteStatementWithResult​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_TableTest​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_TableTestRow​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_Test​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_TestDefinition​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_TimeDifference​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_TimeProgressionFactor​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_TimeSet​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_TIMESPAN​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_TimeValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_TWELVEHRSTIME​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_TWENTYFOURHRSTIME​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_TypedNestedObject​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_UPPERCASE_ID​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_USDATE​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_USDateAnd12HrsTimeValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_USDateValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_Value​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ValueOrEnumValueOrOperation​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_ValueOrEnumValueOrOperationCollection​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_Variable​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_VariableAssignment​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_VariableDefinition​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_VariableEntity​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_VariableOrConstantEntity​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_VariableVariable​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_VariantDefinition​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_VariantValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_VisibleComment​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_VisibleDivider​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_VisibleMultiLineComment​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_VisibleMultiLineNormalComment​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_VisibleMultiLineTitleComment​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_VisibleSingleLineComment​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_VisibleSingleLineNormalComment​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_VisibleSingleLineTitleComment​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `complete_WS​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.RuleCall ruleCall, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeArbitraryParameterOrResultName_Identifier​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeArbitraryParameterOrResultName_StringIdentifier​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeBooleanValue_BooleanValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeCall_Definition​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeCall_Multiplier​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeCall_Parameters​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeCall_Result​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeCall_Results​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeCallDefinition_Documentation​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeCallDefinition_FixtureMethod​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeCallDefinition_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeConstant_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeConstantDefinition_Documentation​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeConstantDefinition_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeConstantDefinition_Parameterized​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeConstantDefinition_Private​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeConstantDefinition_Value​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeConstantDefinition_VariantValues​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeConstantEntity_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeCustomOperation_Definition​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeCustomOperation_PostfixOperand​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeCustomOperation_PrefixOperand​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeDecimalValue_DecimalValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeDocumentationComment_Content​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeEnumValue_EnumValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeEuropeanDateAnd12HrsTimeValue_DateValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeEuropeanDateAnd12HrsTimeValue_TimeValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeEuropeanDateAnd24HrsTimeValue_DateValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeEuropeanDateAnd24HrsTimeValue_TimeValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeEuropeanDateValue_DateValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeExecutionMultiplier_Count​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeFixedParameterName_Annotation​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeFixedResultName_Field​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeForkDefinition_BaseFork​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeForkDefinition_Description​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeForkDefinition_Documentation​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeForkDefinition_ForkerClass​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeForkDefinition_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeForkDefinition_Parameters​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeForkDefinition_Private​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeForkParameter_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeForkParameter_Value​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeImport_ImportedNamespace​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeIntegerValue_IntegerValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeIsoDateAndTimeValue_DateValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeIsoDateAndTimeValue_TimeValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeIsoDateValue_DateValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeIsoTimeValue_TimeValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeJavaClassReference_Type​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeJavaConstantReference_Constant​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeJavaConstantReference_Type​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeJavaConstantValue_Constant​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeKeyValuePair_Identifier​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeKeyValuePair_StringIdentifier​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeKeyValuePair_Value​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeMethodReference_Method​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeMethodReference_Type​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeModel_Imports​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeModel_Statements​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeNamedCallResult_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeNamedCallResult_Target​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeNamedResult_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeNamedResult_Value​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeNestedObject_Attributes​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeOperationDefinition_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeOperationDefinition_OperationType​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completePackageDefinition_Documentation​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completePackageDefinition_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completePackageDefinition_Statements​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeParameter_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeParameter_Value​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeParameterTableHeader_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeParameterTableValue_Value​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeRegexValue_RegexValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeResultTableHeader_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSimple12HrsTimeValue_TimeValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSimple24HrsTimeValue_TimeValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeStandardOperation_FirstOperand​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeStandardOperation_MoreOperands​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeStandardOperation_Operators​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeStringValue_StringValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuite_Definition​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuite_Fork​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuite_Inlined​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuite_Multiplier​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuite_Parameters​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuite_Return​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuite_Variants​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuiteDefinition_Dependencies​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuiteDefinition_Documentation​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuiteDefinition_Finalizers​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuiteDefinition_Inlined​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuiteDefinition_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuiteDefinition_Parameters​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuiteDefinition_Private​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuiteDefinition_Return​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuiteDefinition_SingleRun​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuiteDefinition_Statements​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuiteParameter_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuiteParameter_Value​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuiteParameterDefinition_Default​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuiteParameterDefinition_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuiteReturn_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuiteReturn_Target​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeSuiteReturnDefinition_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTableTest_DefaultResultColumn​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTableTest_Definition​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTableTest_ParameterHeaders​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTableTest_Parameters​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTableTest_ResultHeaders​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTableTest_Rows​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTableTestRow_Values​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTest_Checkpoint​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTest_Definition​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTest_Parameters​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTest_Result​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTest_Results​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTestDefinition_Documentation​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTestDefinition_FixtureMethod​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTestDefinition_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTimeDifference_CalculatedValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTimeDifference_Direction​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTimeDifference_FixedValues​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTimeProgressionFactor_CalculatedValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTimeProgressionFactor_FixedValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTimeSet_DiffTime​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTimeSet_Forks​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTimeSet_Live​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTimeSet_MasterFork​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTimeSet_ProgressionFactor​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTimeSet_ProgressionMode​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTimeSet_StartTime​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTypedNestedObject_NestedObject​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeTypedNestedObject_Type​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeUSDateAnd12HrsTimeValue_DateValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeUSDateAnd12HrsTimeValue_TimeValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeUSDateValue_DateValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeValueOrEnumValueOrOperationCollection_MoreValues​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeValueOrEnumValueOrOperationCollection_Value​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVariable_Attribute​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVariable_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVariableAssignment_Target​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVariableAssignment_Value​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVariableDefinition_InitialValue​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVariableDefinition_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVariableDefinition_Private​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVariableEntity_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVariableVariable_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVariantDefinition_Description​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVariantDefinition_Documentation​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVariantDefinition_Name​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVariantValue_Names​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVariantValue_Value​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVisibleDivider_Content​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVisibleMultiLineNormalComment_Content​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVisibleMultiLineTitleComment_Content​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVisibleSingleLineNormalComment_Content​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |
    `void` | `completeVisibleSingleLineTitleComment_Content​(org.eclipse.emf.ecore.EObject model, org.eclipse.xtext.Assignment assignment, org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context, org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)` |

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractJavaBasedContentProposalProvider

      `announceProcessing, completeAssignment, completeKeyword, completeRuleCall, createProposals, getCrossReferenceProposalCreator, getHover, getProposalFactory, getScopeProvider, invokeMethod, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, lookupCrossReference, setCrossReferenceProposalCreator, setScopeProvider`

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractContentProposalProvider

      `createSelector, getDisplayString, getImage, getImage, getKeywordDisplayString, getLabelProvider, getQualifiedNameConverter, getStyledDisplayString, getStyledDisplayString, getValueConverter, setLabelProvider, setValueConverter`

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.AbstractCompletionProposalFactory

      `createCompletionProposal, createCompletionProposal, createCompletionProposal, createCompletionProposal, doCreateProposal, doCreateProposal, getConflictHelper, getPriorityHelper, getReplacementContextLength, isValidProposal, setConflictHelper, setPriorityHelper`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractDSLProposalProvider

          public AbstractDSLProposalProvider()

  - ### Method Detail

    - #### completeModel_Imports

          public void completeModel_Imports​(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.Assignment assignment,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeModel_Statements

          public void completeModel_Statements​(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.Assignment assignment,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVisibleSingleLineNormalComment_Content

          public void completeVisibleSingleLineNormalComment_Content​(org.eclipse.emf.ecore.EObject model,
                                                                     org.eclipse.xtext.Assignment assignment,
                                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVisibleSingleLineTitleComment_Content

          public void completeVisibleSingleLineTitleComment_Content​(org.eclipse.emf.ecore.EObject model,
                                                                    org.eclipse.xtext.Assignment assignment,
                                                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVisibleMultiLineNormalComment_Content

          public void completeVisibleMultiLineNormalComment_Content​(org.eclipse.emf.ecore.EObject model,
                                                                    org.eclipse.xtext.Assignment assignment,
                                                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVisibleMultiLineTitleComment_Content

          public void completeVisibleMultiLineTitleComment_Content​(org.eclipse.emf.ecore.EObject model,
                                                                   org.eclipse.xtext.Assignment assignment,
                                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVisibleDivider_Content

          public void completeVisibleDivider_Content​(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.Assignment assignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePackageDefinition_Documentation

          public void completePackageDefinition_Documentation​(org.eclipse.emf.ecore.EObject model,
                                                              org.eclipse.xtext.Assignment assignment,
                                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePackageDefinition_Name

          public void completePackageDefinition_Name​(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.Assignment assignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completePackageDefinition_Statements

          public void completePackageDefinition_Statements​(org.eclipse.emf.ecore.EObject model,
                                                           org.eclipse.xtext.Assignment assignment,
                                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeImport_ImportedNamespace

          public void completeImport_ImportedNamespace​(org.eclipse.emf.ecore.EObject model,
                                                       org.eclipse.xtext.Assignment assignment,
                                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeForkDefinition_Documentation

          public void completeForkDefinition_Documentation​(org.eclipse.emf.ecore.EObject model,
                                                           org.eclipse.xtext.Assignment assignment,
                                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeForkDefinition_Private

          public void completeForkDefinition_Private​(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.Assignment assignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeForkDefinition_Name

          public void completeForkDefinition_Name​(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.Assignment assignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeForkDefinition_Description

          public void completeForkDefinition_Description​(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.Assignment assignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeForkDefinition_ForkerClass

          public void completeForkDefinition_ForkerClass​(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.Assignment assignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeForkDefinition_BaseFork

          public void completeForkDefinition_BaseFork​(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.Assignment assignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeForkDefinition_Parameters

          public void completeForkDefinition_Parameters​(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.Assignment assignment,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeForkParameter_Name

          public void completeForkParameter_Name​(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.Assignment assignment,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeForkParameter_Value

          public void completeForkParameter_Value​(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.Assignment assignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariantDefinition_Documentation

          public void completeVariantDefinition_Documentation​(org.eclipse.emf.ecore.EObject model,
                                                              org.eclipse.xtext.Assignment assignment,
                                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariantDefinition_Name

          public void completeVariantDefinition_Name​(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.Assignment assignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariantDefinition_Description

          public void completeVariantDefinition_Description​(org.eclipse.emf.ecore.EObject model,
                                                            org.eclipse.xtext.Assignment assignment,
                                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTestDefinition_Documentation

          public void completeTestDefinition_Documentation​(org.eclipse.emf.ecore.EObject model,
                                                           org.eclipse.xtext.Assignment assignment,
                                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTestDefinition_Name

          public void completeTestDefinition_Name​(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.Assignment assignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTestDefinition_FixtureMethod

          public void completeTestDefinition_FixtureMethod​(org.eclipse.emf.ecore.EObject model,
                                                           org.eclipse.xtext.Assignment assignment,
                                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeCallDefinition_Documentation

          public void completeCallDefinition_Documentation​(org.eclipse.emf.ecore.EObject model,
                                                           org.eclipse.xtext.Assignment assignment,
                                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeCallDefinition_Name

          public void completeCallDefinition_Name​(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.Assignment assignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeCallDefinition_FixtureMethod

          public void completeCallDefinition_FixtureMethod​(org.eclipse.emf.ecore.EObject model,
                                                           org.eclipse.xtext.Assignment assignment,
                                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuiteDefinition_Documentation

          public void completeSuiteDefinition_Documentation​(org.eclipse.emf.ecore.EObject model,
                                                            org.eclipse.xtext.Assignment assignment,
                                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuiteDefinition_Private

          public void completeSuiteDefinition_Private​(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.Assignment assignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuiteDefinition_SingleRun

          public void completeSuiteDefinition_SingleRun​(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.Assignment assignment,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuiteDefinition_Inlined

          public void completeSuiteDefinition_Inlined​(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.Assignment assignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuiteDefinition_Name

          public void completeSuiteDefinition_Name​(org.eclipse.emf.ecore.EObject model,
                                                   org.eclipse.xtext.Assignment assignment,
                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuiteDefinition_Parameters

          public void completeSuiteDefinition_Parameters​(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.Assignment assignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuiteDefinition_Return

          public void completeSuiteDefinition_Return​(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.Assignment assignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuiteDefinition_Dependencies

          public void completeSuiteDefinition_Dependencies​(org.eclipse.emf.ecore.EObject model,
                                                           org.eclipse.xtext.Assignment assignment,
                                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuiteDefinition_Finalizers

          public void completeSuiteDefinition_Finalizers​(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.Assignment assignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuiteDefinition_Statements

          public void completeSuiteDefinition_Statements​(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.Assignment assignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuiteParameterDefinition_Name

          public void completeSuiteParameterDefinition_Name​(org.eclipse.emf.ecore.EObject model,
                                                            org.eclipse.xtext.Assignment assignment,
                                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuiteParameterDefinition_Default

          public void completeSuiteParameterDefinition_Default​(org.eclipse.emf.ecore.EObject model,
                                                               org.eclipse.xtext.Assignment assignment,
                                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuiteReturnDefinition_Name

          public void completeSuiteReturnDefinition_Name​(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.Assignment assignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeOperationDefinition_Name

          public void completeOperationDefinition_Name​(org.eclipse.emf.ecore.EObject model,
                                                       org.eclipse.xtext.Assignment assignment,
                                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeOperationDefinition_OperationType

          public void completeOperationDefinition_OperationType​(org.eclipse.emf.ecore.EObject model,
                                                                org.eclipse.xtext.Assignment assignment,
                                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariableDefinition_Private

          public void completeVariableDefinition_Private​(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.Assignment assignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariableDefinition_Name

          public void completeVariableDefinition_Name​(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.Assignment assignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariableDefinition_InitialValue

          public void completeVariableDefinition_InitialValue​(org.eclipse.emf.ecore.EObject model,
                                                              org.eclipse.xtext.Assignment assignment,
                                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeConstantDefinition_Documentation

          public void completeConstantDefinition_Documentation​(org.eclipse.emf.ecore.EObject model,
                                                               org.eclipse.xtext.Assignment assignment,
                                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeConstantDefinition_Private

          public void completeConstantDefinition_Private​(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.Assignment assignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeConstantDefinition_Name

          public void completeConstantDefinition_Name​(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.Assignment assignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeConstantDefinition_Value

          public void completeConstantDefinition_Value​(org.eclipse.emf.ecore.EObject model,
                                                       org.eclipse.xtext.Assignment assignment,
                                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeConstantDefinition_VariantValues

          public void completeConstantDefinition_VariantValues​(org.eclipse.emf.ecore.EObject model,
                                                               org.eclipse.xtext.Assignment assignment,
                                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeConstantDefinition_Parameterized

          public void completeConstantDefinition_Parameterized​(org.eclipse.emf.ecore.EObject model,
                                                               org.eclipse.xtext.Assignment assignment,
                                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariableAssignment_Value

          public void completeVariableAssignment_Value​(org.eclipse.emf.ecore.EObject model,
                                                       org.eclipse.xtext.Assignment assignment,
                                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariableAssignment_Target

          public void completeVariableAssignment_Target​(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.Assignment assignment,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariantValue_Names

          public void completeVariantValue_Names​(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.Assignment assignment,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariantValue_Value

          public void completeVariantValue_Value​(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.Assignment assignment,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariableEntity_Name

          public void completeVariableEntity_Name​(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.Assignment assignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeConstantEntity_Name

          public void completeConstantEntity_Name​(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.Assignment assignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTest_Checkpoint

          public void completeTest_Checkpoint​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.Assignment assignment,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTest_Definition

          public void completeTest_Definition​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.Assignment assignment,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTest_Parameters

          public void completeTest_Parameters​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.Assignment assignment,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTest_Results

          public void completeTest_Results​(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.Assignment assignment,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTest_Result

          public void completeTest_Result​(org.eclipse.emf.ecore.EObject model,
                                          org.eclipse.xtext.Assignment assignment,
                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTableTest_Definition

          public void completeTableTest_Definition​(org.eclipse.emf.ecore.EObject model,
                                                   org.eclipse.xtext.Assignment assignment,
                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTableTest_Parameters

          public void completeTableTest_Parameters​(org.eclipse.emf.ecore.EObject model,
                                                   org.eclipse.xtext.Assignment assignment,
                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTableTest_ParameterHeaders

          public void completeTableTest_ParameterHeaders​(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.Assignment assignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTableTest_ResultHeaders

          public void completeTableTest_ResultHeaders​(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.Assignment assignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTableTest_DefaultResultColumn

          public void completeTableTest_DefaultResultColumn​(org.eclipse.emf.ecore.EObject model,
                                                            org.eclipse.xtext.Assignment assignment,
                                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTableTest_Rows

          public void completeTableTest_Rows​(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.Assignment assignment,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTableTestRow_Values

          public void completeTableTestRow_Values​(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.Assignment assignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeParameterTableHeader_Name

          public void completeParameterTableHeader_Name​(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.Assignment assignment,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeResultTableHeader_Name

          public void completeResultTableHeader_Name​(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.Assignment assignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeParameterTableValue_Value

          public void completeParameterTableValue_Value​(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.Assignment assignment,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeNamedResult_Name

          public void completeNamedResult_Name​(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.Assignment assignment,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeNamedResult_Value

          public void completeNamedResult_Value​(org.eclipse.emf.ecore.EObject model,
                                                org.eclipse.xtext.Assignment assignment,
                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeFixedResultName_Field

          public void completeFixedResultName_Field​(org.eclipse.emf.ecore.EObject model,
                                                    org.eclipse.xtext.Assignment assignment,
                                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeCall_Multiplier

          public void completeCall_Multiplier​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.Assignment assignment,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeCall_Definition

          public void completeCall_Definition​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.Assignment assignment,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeCall_Parameters

          public void completeCall_Parameters​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.Assignment assignment,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeCall_Results

          public void completeCall_Results​(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.Assignment assignment,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeCall_Result

          public void completeCall_Result​(org.eclipse.emf.ecore.EObject model,
                                          org.eclipse.xtext.Assignment assignment,
                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeNamedCallResult_Name

          public void completeNamedCallResult_Name​(org.eclipse.emf.ecore.EObject model,
                                                   org.eclipse.xtext.Assignment assignment,
                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeNamedCallResult_Target

          public void completeNamedCallResult_Target​(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.Assignment assignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTimeSet_Live

          public void completeTimeSet_Live​(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.Assignment assignment,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTimeSet_StartTime

          public void completeTimeSet_StartTime​(org.eclipse.emf.ecore.EObject model,
                                                org.eclipse.xtext.Assignment assignment,
                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTimeSet_DiffTime

          public void completeTimeSet_DiffTime​(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.Assignment assignment,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTimeSet_ProgressionMode

          public void completeTimeSet_ProgressionMode​(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.Assignment assignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTimeSet_ProgressionFactor

          public void completeTimeSet_ProgressionFactor​(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.Assignment assignment,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTimeSet_Forks

          public void completeTimeSet_Forks​(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.Assignment assignment,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTimeSet_MasterFork

          public void completeTimeSet_MasterFork​(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.Assignment assignment,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTimeProgressionFactor_FixedValue

          public void completeTimeProgressionFactor_FixedValue​(org.eclipse.emf.ecore.EObject model,
                                                               org.eclipse.xtext.Assignment assignment,
                                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTimeProgressionFactor_CalculatedValue

          public void completeTimeProgressionFactor_CalculatedValue​(org.eclipse.emf.ecore.EObject model,
                                                                    org.eclipse.xtext.Assignment assignment,
                                                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTimeDifference_Direction

          public void completeTimeDifference_Direction​(org.eclipse.emf.ecore.EObject model,
                                                       org.eclipse.xtext.Assignment assignment,
                                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTimeDifference_FixedValues

          public void completeTimeDifference_FixedValues​(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.Assignment assignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTimeDifference_CalculatedValue

          public void completeTimeDifference_CalculatedValue​(org.eclipse.emf.ecore.EObject model,
                                                             org.eclipse.xtext.Assignment assignment,
                                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuite_Inlined

          public void completeSuite_Inlined​(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.Assignment assignment,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuite_Multiplier

          public void completeSuite_Multiplier​(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.Assignment assignment,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuite_Definition

          public void completeSuite_Definition​(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.Assignment assignment,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuite_Parameters

          public void completeSuite_Parameters​(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.Assignment assignment,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuite_Return

          public void completeSuite_Return​(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.Assignment assignment,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuite_Fork

          public void completeSuite_Fork​(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.Assignment assignment,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuite_Variants

          public void completeSuite_Variants​(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.Assignment assignment,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuiteParameter_Name

          public void completeSuiteParameter_Name​(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.Assignment assignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuiteParameter_Value

          public void completeSuiteParameter_Value​(org.eclipse.emf.ecore.EObject model,
                                                   org.eclipse.xtext.Assignment assignment,
                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuiteReturn_Name

          public void completeSuiteReturn_Name​(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.Assignment assignment,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSuiteReturn_Target

          public void completeSuiteReturn_Target​(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.Assignment assignment,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeParameter_Name

          public void completeParameter_Name​(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.Assignment assignment,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeParameter_Value

          public void completeParameter_Value​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.Assignment assignment,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeFixedParameterName_Annotation

          public void completeFixedParameterName_Annotation​(org.eclipse.emf.ecore.EObject model,
                                                            org.eclipse.xtext.Assignment assignment,
                                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeArbitraryParameterOrResultName_Identifier

          public void completeArbitraryParameterOrResultName_Identifier​(org.eclipse.emf.ecore.EObject model,
                                                                        org.eclipse.xtext.Assignment assignment,
                                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeArbitraryParameterOrResultName_StringIdentifier

          public void completeArbitraryParameterOrResultName_StringIdentifier​(org.eclipse.emf.ecore.EObject model,
                                                                              org.eclipse.xtext.Assignment assignment,
                                                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeStandardOperation_FirstOperand

          public void completeStandardOperation_FirstOperand​(org.eclipse.emf.ecore.EObject model,
                                                             org.eclipse.xtext.Assignment assignment,
                                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeStandardOperation_Operators

          public void completeStandardOperation_Operators​(org.eclipse.emf.ecore.EObject model,
                                                          org.eclipse.xtext.Assignment assignment,
                                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeStandardOperation_MoreOperands

          public void completeStandardOperation_MoreOperands​(org.eclipse.emf.ecore.EObject model,
                                                             org.eclipse.xtext.Assignment assignment,
                                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeCustomOperation_PrefixOperand

          public void completeCustomOperation_PrefixOperand​(org.eclipse.emf.ecore.EObject model,
                                                            org.eclipse.xtext.Assignment assignment,
                                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeCustomOperation_Definition

          public void completeCustomOperation_Definition​(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.Assignment assignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeCustomOperation_PostfixOperand

          public void completeCustomOperation_PostfixOperand​(org.eclipse.emf.ecore.EObject model,
                                                             org.eclipse.xtext.Assignment assignment,
                                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeValueOrEnumValueOrOperationCollection_Value

          public void completeValueOrEnumValueOrOperationCollection_Value​(org.eclipse.emf.ecore.EObject model,
                                                                          org.eclipse.xtext.Assignment assignment,
                                                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeValueOrEnumValueOrOperationCollection_MoreValues

          public void completeValueOrEnumValueOrOperationCollection_MoreValues​(org.eclipse.emf.ecore.EObject model,
                                                                               org.eclipse.xtext.Assignment assignment,
                                                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeIntegerValue_IntegerValue

          public void completeIntegerValue_IntegerValue​(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.Assignment assignment,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeDecimalValue_DecimalValue

          public void completeDecimalValue_DecimalValue​(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.Assignment assignment,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeStringValue_StringValue

          public void completeStringValue_StringValue​(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.Assignment assignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeRegexValue_RegexValue

          public void completeRegexValue_RegexValue​(org.eclipse.emf.ecore.EObject model,
                                                    org.eclipse.xtext.Assignment assignment,
                                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeBooleanValue_BooleanValue

          public void completeBooleanValue_BooleanValue​(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.Assignment assignment,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeIsoDateValue_DateValue

          public void completeIsoDateValue_DateValue​(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.Assignment assignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeEuropeanDateValue_DateValue

          public void completeEuropeanDateValue_DateValue​(org.eclipse.emf.ecore.EObject model,
                                                          org.eclipse.xtext.Assignment assignment,
                                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeUSDateValue_DateValue

          public void completeUSDateValue_DateValue​(org.eclipse.emf.ecore.EObject model,
                                                    org.eclipse.xtext.Assignment assignment,
                                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeIsoTimeValue_TimeValue

          public void completeIsoTimeValue_TimeValue​(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.Assignment assignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSimple24HrsTimeValue_TimeValue

          public void completeSimple24HrsTimeValue_TimeValue​(org.eclipse.emf.ecore.EObject model,
                                                             org.eclipse.xtext.Assignment assignment,
                                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeSimple12HrsTimeValue_TimeValue

          public void completeSimple12HrsTimeValue_TimeValue​(org.eclipse.emf.ecore.EObject model,
                                                             org.eclipse.xtext.Assignment assignment,
                                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeIsoDateAndTimeValue_DateValue

          public void completeIsoDateAndTimeValue_DateValue​(org.eclipse.emf.ecore.EObject model,
                                                            org.eclipse.xtext.Assignment assignment,
                                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeIsoDateAndTimeValue_TimeValue

          public void completeIsoDateAndTimeValue_TimeValue​(org.eclipse.emf.ecore.EObject model,
                                                            org.eclipse.xtext.Assignment assignment,
                                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeEuropeanDateAnd24HrsTimeValue_DateValue

          public void completeEuropeanDateAnd24HrsTimeValue_DateValue​(org.eclipse.emf.ecore.EObject model,
                                                                      org.eclipse.xtext.Assignment assignment,
                                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeEuropeanDateAnd24HrsTimeValue_TimeValue

          public void completeEuropeanDateAnd24HrsTimeValue_TimeValue​(org.eclipse.emf.ecore.EObject model,
                                                                      org.eclipse.xtext.Assignment assignment,
                                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeEuropeanDateAnd12HrsTimeValue_DateValue

          public void completeEuropeanDateAnd12HrsTimeValue_DateValue​(org.eclipse.emf.ecore.EObject model,
                                                                      org.eclipse.xtext.Assignment assignment,
                                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeEuropeanDateAnd12HrsTimeValue_TimeValue

          public void completeEuropeanDateAnd12HrsTimeValue_TimeValue​(org.eclipse.emf.ecore.EObject model,
                                                                      org.eclipse.xtext.Assignment assignment,
                                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeUSDateAnd12HrsTimeValue_DateValue

          public void completeUSDateAnd12HrsTimeValue_DateValue​(org.eclipse.emf.ecore.EObject model,
                                                                org.eclipse.xtext.Assignment assignment,
                                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeUSDateAnd12HrsTimeValue_TimeValue

          public void completeUSDateAnd12HrsTimeValue_TimeValue​(org.eclipse.emf.ecore.EObject model,
                                                                org.eclipse.xtext.Assignment assignment,
                                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeJavaConstantValue_Constant

          public void completeJavaConstantValue_Constant​(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.Assignment assignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariable_Name

          public void completeVariable_Name​(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.Assignment assignment,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariable_Attribute

          public void completeVariable_Attribute​(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.Assignment assignment,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeVariableVariable_Name

          public void completeVariableVariable_Name​(org.eclipse.emf.ecore.EObject model,
                                                    org.eclipse.xtext.Assignment assignment,
                                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeConstant_Name

          public void completeConstant_Name​(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.Assignment assignment,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeEnumValue_EnumValue

          public void completeEnumValue_EnumValue​(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.Assignment assignment,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeNestedObject_Attributes

          public void completeNestedObject_Attributes​(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.Assignment assignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTypedNestedObject_Type

          public void completeTypedNestedObject_Type​(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.Assignment assignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeTypedNestedObject_NestedObject

          public void completeTypedNestedObject_NestedObject​(org.eclipse.emf.ecore.EObject model,
                                                             org.eclipse.xtext.Assignment assignment,
                                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeKeyValuePair_Identifier

          public void completeKeyValuePair_Identifier​(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.Assignment assignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeKeyValuePair_StringIdentifier

          public void completeKeyValuePair_StringIdentifier​(org.eclipse.emf.ecore.EObject model,
                                                            org.eclipse.xtext.Assignment assignment,
                                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeKeyValuePair_Value

          public void completeKeyValuePair_Value​(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.Assignment assignment,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeJavaClassReference_Type

          public void completeJavaClassReference_Type​(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.Assignment assignment,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeMethodReference_Type

          public void completeMethodReference_Type​(org.eclipse.emf.ecore.EObject model,
                                                   org.eclipse.xtext.Assignment assignment,
                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeMethodReference_Method

          public void completeMethodReference_Method​(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.Assignment assignment,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeJavaConstantReference_Type

          public void completeJavaConstantReference_Type​(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.Assignment assignment,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeJavaConstantReference_Constant

          public void completeJavaConstantReference_Constant​(org.eclipse.emf.ecore.EObject model,
                                                             org.eclipse.xtext.Assignment assignment,
                                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeExecutionMultiplier_Count

          public void completeExecutionMultiplier_Count​(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.Assignment assignment,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### completeDocumentationComment_Content

          public void completeDocumentationComment_Content​(org.eclipse.emf.ecore.EObject model,
                                                           org.eclipse.xtext.Assignment assignment,
                                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Model

          public void complete_Model​(org.eclipse.emf.ecore.EObject model,
                                     org.eclipse.xtext.RuleCall ruleCall,
                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Statement

          public void complete_Statement​(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.RuleCall ruleCall,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_VisibleComment

          public void complete_VisibleComment​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.RuleCall ruleCall,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_VisibleSingleLineComment

          public void complete_VisibleSingleLineComment​(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.RuleCall ruleCall,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_VisibleSingleLineNormalComment

          public void complete_VisibleSingleLineNormalComment​(org.eclipse.emf.ecore.EObject model,
                                                              org.eclipse.xtext.RuleCall ruleCall,
                                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_VisibleSingleLineTitleComment

          public void complete_VisibleSingleLineTitleComment​(org.eclipse.emf.ecore.EObject model,
                                                             org.eclipse.xtext.RuleCall ruleCall,
                                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_VisibleMultiLineComment

          public void complete_VisibleMultiLineComment​(org.eclipse.emf.ecore.EObject model,
                                                       org.eclipse.xtext.RuleCall ruleCall,
                                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_VisibleMultiLineNormalComment

          public void complete_VisibleMultiLineNormalComment​(org.eclipse.emf.ecore.EObject model,
                                                             org.eclipse.xtext.RuleCall ruleCall,
                                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_VisibleMultiLineTitleComment

          public void complete_VisibleMultiLineTitleComment​(org.eclipse.emf.ecore.EObject model,
                                                            org.eclipse.xtext.RuleCall ruleCall,
                                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_VisibleDivider

          public void complete_VisibleDivider​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.RuleCall ruleCall,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_PackageDefinition

          public void complete_PackageDefinition​(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.RuleCall ruleCall,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_PackageStatement

          public void complete_PackageStatement​(org.eclipse.emf.ecore.EObject model,
                                                org.eclipse.xtext.RuleCall ruleCall,
                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Import

          public void complete_Import​(org.eclipse.emf.ecore.EObject model,
                                      org.eclipse.xtext.RuleCall ruleCall,
                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ForkDefinition

          public void complete_ForkDefinition​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.RuleCall ruleCall,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ForkParameter

          public void complete_ForkParameter​(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.RuleCall ruleCall,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_VariantDefinition

          public void complete_VariantDefinition​(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.RuleCall ruleCall,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_TestDefinition

          public void complete_TestDefinition​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.RuleCall ruleCall,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_CallDefinition

          public void complete_CallDefinition​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.RuleCall ruleCall,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_SuiteDefinition

          public void complete_SuiteDefinition​(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.RuleCall ruleCall,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_SuiteParameterDefinition

          public void complete_SuiteParameterDefinition​(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.RuleCall ruleCall,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_SuiteReturnDefinition

          public void complete_SuiteReturnDefinition​(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.RuleCall ruleCall,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_OperationDefinition

          public void complete_OperationDefinition​(org.eclipse.emf.ecore.EObject model,
                                                   org.eclipse.xtext.RuleCall ruleCall,
                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_SuiteStatement

          public void complete_SuiteStatement​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.RuleCall ruleCall,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_SuiteStatementWithResult

          public void complete_SuiteStatementWithResult​(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.RuleCall ruleCall,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_VariableDefinition

          public void complete_VariableDefinition​(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.RuleCall ruleCall,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ConstantDefinition

          public void complete_ConstantDefinition​(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.RuleCall ruleCall,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_VariableAssignment

          public void complete_VariableAssignment​(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.RuleCall ruleCall,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_VariantValue

          public void complete_VariantValue​(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.RuleCall ruleCall,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_VariableEntity

          public void complete_VariableEntity​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.RuleCall ruleCall,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ConstantEntity

          public void complete_ConstantEntity​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.RuleCall ruleCall,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_VariableOrConstantEntity

          public void complete_VariableOrConstantEntity​(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.RuleCall ruleCall,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Test

          public void complete_Test​(org.eclipse.emf.ecore.EObject model,
                                    org.eclipse.xtext.RuleCall ruleCall,
                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_TableTest

          public void complete_TableTest​(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.RuleCall ruleCall,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_TableTestRow

          public void complete_TableTestRow​(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.RuleCall ruleCall,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ParameterTableHeader

          public void complete_ParameterTableHeader​(org.eclipse.emf.ecore.EObject model,
                                                    org.eclipse.xtext.RuleCall ruleCall,
                                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ResultTableHeader

          public void complete_ResultTableHeader​(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.RuleCall ruleCall,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ParameterTableValue

          public void complete_ParameterTableValue​(org.eclipse.emf.ecore.EObject model,
                                                   org.eclipse.xtext.RuleCall ruleCall,
                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_NamedResult

          public void complete_NamedResult​(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.RuleCall ruleCall,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ResultName

          public void complete_ResultName​(org.eclipse.emf.ecore.EObject model,
                                          org.eclipse.xtext.RuleCall ruleCall,
                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_FixedResultName

          public void complete_FixedResultName​(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.RuleCall ruleCall,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Call

          public void complete_Call​(org.eclipse.emf.ecore.EObject model,
                                    org.eclipse.xtext.RuleCall ruleCall,
                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_NamedCallResult

          public void complete_NamedCallResult​(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.RuleCall ruleCall,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_TimeSet

          public void complete_TimeSet​(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.RuleCall ruleCall,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_TimeProgressionFactor

          public void complete_TimeProgressionFactor​(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.RuleCall ruleCall,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_TimeDifference

          public void complete_TimeDifference​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.RuleCall ruleCall,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Suite

          public void complete_Suite​(org.eclipse.emf.ecore.EObject model,
                                     org.eclipse.xtext.RuleCall ruleCall,
                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_SuiteParameter

          public void complete_SuiteParameter​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.RuleCall ruleCall,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_SuiteReturn

          public void complete_SuiteReturn​(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.RuleCall ruleCall,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Parameter

          public void complete_Parameter​(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.RuleCall ruleCall,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ParameterName

          public void complete_ParameterName​(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.RuleCall ruleCall,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_FixedParameterName

          public void complete_FixedParameterName​(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.RuleCall ruleCall,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ArbitraryParameterOrResultName

          public void complete_ArbitraryParameterOrResultName​(org.eclipse.emf.ecore.EObject model,
                                                              org.eclipse.xtext.RuleCall ruleCall,
                                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Operation

          public void complete_Operation​(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.RuleCall ruleCall,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_StandardOperation

          public void complete_StandardOperation​(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.RuleCall ruleCall,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_CustomOperation

          public void complete_CustomOperation​(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.RuleCall ruleCall,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ValueOrEnumValueOrOperationCollection

          public void complete_ValueOrEnumValueOrOperationCollection​(org.eclipse.emf.ecore.EObject model,
                                                                     org.eclipse.xtext.RuleCall ruleCall,
                                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ValueOrEnumValueOrOperation

          public void complete_ValueOrEnumValueOrOperation​(org.eclipse.emf.ecore.EObject model,
                                                           org.eclipse.xtext.RuleCall ruleCall,
                                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Value

          public void complete_Value​(org.eclipse.emf.ecore.EObject model,
                                     org.eclipse.xtext.RuleCall ruleCall,
                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ConstantValue

          public void complete_ConstantValue​(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.RuleCall ruleCall,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_StaticValue

          public void complete_StaticValue​(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.RuleCall ruleCall,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_IntegerValue

          public void complete_IntegerValue​(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.RuleCall ruleCall,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_DecimalValue

          public void complete_DecimalValue​(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.RuleCall ruleCall,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_StringValue

          public void complete_StringValue​(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.RuleCall ruleCall,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_RegexValue

          public void complete_RegexValue​(org.eclipse.emf.ecore.EObject model,
                                          org.eclipse.xtext.RuleCall ruleCall,
                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_BooleanValue

          public void complete_BooleanValue​(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.RuleCall ruleCall,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_DateValue

          public void complete_DateValue​(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.RuleCall ruleCall,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_IsoDateValue

          public void complete_IsoDateValue​(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.RuleCall ruleCall,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_EuropeanDateValue

          public void complete_EuropeanDateValue​(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.RuleCall ruleCall,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_USDateValue

          public void complete_USDateValue​(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.RuleCall ruleCall,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_TimeValue

          public void complete_TimeValue​(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.RuleCall ruleCall,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_IsoTimeValue

          public void complete_IsoTimeValue​(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.RuleCall ruleCall,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Simple24HrsTimeValue

          public void complete_Simple24HrsTimeValue​(org.eclipse.emf.ecore.EObject model,
                                                    org.eclipse.xtext.RuleCall ruleCall,
                                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Simple12HrsTimeValue

          public void complete_Simple12HrsTimeValue​(org.eclipse.emf.ecore.EObject model,
                                                    org.eclipse.xtext.RuleCall ruleCall,
                                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_DateAndTimeValue

          public void complete_DateAndTimeValue​(org.eclipse.emf.ecore.EObject model,
                                                org.eclipse.xtext.RuleCall ruleCall,
                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_IsoDateAndTimeValue

          public void complete_IsoDateAndTimeValue​(org.eclipse.emf.ecore.EObject model,
                                                   org.eclipse.xtext.RuleCall ruleCall,
                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_EuropeanDateAnd24HrsTimeValue

          public void complete_EuropeanDateAnd24HrsTimeValue​(org.eclipse.emf.ecore.EObject model,
                                                             org.eclipse.xtext.RuleCall ruleCall,
                                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_EuropeanDateAnd12HrsTimeValue

          public void complete_EuropeanDateAnd12HrsTimeValue​(org.eclipse.emf.ecore.EObject model,
                                                             org.eclipse.xtext.RuleCall ruleCall,
                                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_USDateAnd12HrsTimeValue

          public void complete_USDateAnd12HrsTimeValue​(org.eclipse.emf.ecore.EObject model,
                                                       org.eclipse.xtext.RuleCall ruleCall,
                                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_JavaConstantValue

          public void complete_JavaConstantValue​(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.RuleCall ruleCall,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Variable

          public void complete_Variable​(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.RuleCall ruleCall,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_VariableVariable

          public void complete_VariableVariable​(org.eclipse.emf.ecore.EObject model,
                                                org.eclipse.xtext.RuleCall ruleCall,
                                                org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_Constant

          public void complete_Constant​(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.RuleCall ruleCall,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_NullValue

          public void complete_NullValue​(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.RuleCall ruleCall,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_InexistentValue

          public void complete_InexistentValue​(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.RuleCall ruleCall,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_EmptyValue

          public void complete_EmptyValue​(org.eclipse.emf.ecore.EObject model,
                                          org.eclipse.xtext.RuleCall ruleCall,
                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_EnumValue

          public void complete_EnumValue​(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.RuleCall ruleCall,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_NestedObject

          public void complete_NestedObject​(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.RuleCall ruleCall,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_TypedNestedObject

          public void complete_TypedNestedObject​(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.RuleCall ruleCall,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_KeyValuePair

          public void complete_KeyValuePair​(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.RuleCall ruleCall,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_JavaClassReference

          public void complete_JavaClassReference​(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.RuleCall ruleCall,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_MethodReference

          public void complete_MethodReference​(org.eclipse.emf.ecore.EObject model,
                                               org.eclipse.xtext.RuleCall ruleCall,
                                               org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                               org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_JavaConstantReference

          public void complete_JavaConstantReference​(org.eclipse.emf.ecore.EObject model,
                                                     org.eclipse.xtext.RuleCall ruleCall,
                                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ExecutionMultiplier

          public void complete_ExecutionMultiplier​(org.eclipse.emf.ecore.EObject model,
                                                   org.eclipse.xtext.RuleCall ruleCall,
                                                   org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                   org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_QualifiedName

          public void complete_QualifiedName​(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.RuleCall ruleCall,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_QualifiedJavaClassName

          public void complete_QualifiedJavaClassName​(org.eclipse.emf.ecore.EObject model,
                                                      org.eclipse.xtext.RuleCall ruleCall,
                                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_QualifiedNameWithWildcard

          public void complete_QualifiedNameWithWildcard​(org.eclipse.emf.ecore.EObject model,
                                                         org.eclipse.xtext.RuleCall ruleCall,
                                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_DocumentationComment

          public void complete_DocumentationComment​(org.eclipse.emf.ecore.EObject model,
                                                    org.eclipse.xtext.RuleCall ruleCall,
                                                    org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                    org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_NL

          public void complete_NL​(org.eclipse.emf.ecore.EObject model,
                                  org.eclipse.xtext.RuleCall ruleCall,
                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_NLFORCED

          public void complete_NLFORCED​(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.RuleCall ruleCall,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_BOOLEAN_TRUE

          public void complete_BOOLEAN_TRUE​(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.RuleCall ruleCall,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_BOOLEAN_FALSE

          public void complete_BOOLEAN_FALSE​(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.RuleCall ruleCall,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_UPPERCASE_ID

          public void complete_UPPERCASE_ID​(org.eclipse.emf.ecore.EObject model,
                                            org.eclipse.xtext.RuleCall ruleCall,
                                            org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                            org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ID

          public void complete_ID​(org.eclipse.emf.ecore.EObject model,
                                  org.eclipse.xtext.RuleCall ruleCall,
                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_INTEGER

          public void complete_INTEGER​(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.RuleCall ruleCall,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_DECIMAL

          public void complete_DECIMAL​(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.RuleCall ruleCall,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_STRING

          public void complete_STRING​(org.eclipse.emf.ecore.EObject model,
                                      org.eclipse.xtext.RuleCall ruleCall,
                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_REGEX

          public void complete_REGEX​(org.eclipse.emf.ecore.EObject model,
                                     org.eclipse.xtext.RuleCall ruleCall,
                                     org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                     org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ML_COMMENT

          public void complete_ML_COMMENT​(org.eclipse.emf.ecore.EObject model,
                                          org.eclipse.xtext.RuleCall ruleCall,
                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_SL_COMMENT

          public void complete_SL_COMMENT​(org.eclipse.emf.ecore.EObject model,
                                          org.eclipse.xtext.RuleCall ruleCall,
                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_SL_VISIBLE_COMMENT

          public void complete_SL_VISIBLE_COMMENT​(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.RuleCall ruleCall,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_SL_VISIBLE_TITLE_COMMENT

          public void complete_SL_VISIBLE_TITLE_COMMENT​(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.RuleCall ruleCall,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ML_VISIBLE_COMMENT

          public void complete_ML_VISIBLE_COMMENT​(org.eclipse.emf.ecore.EObject model,
                                                  org.eclipse.xtext.RuleCall ruleCall,
                                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ML_VISIBLE_TITLE_COMMENT

          public void complete_ML_VISIBLE_TITLE_COMMENT​(org.eclipse.emf.ecore.EObject model,
                                                        org.eclipse.xtext.RuleCall ruleCall,
                                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ML_DOC_COMMENT

          public void complete_ML_DOC_COMMENT​(org.eclipse.emf.ecore.EObject model,
                                              org.eclipse.xtext.RuleCall ruleCall,
                                              org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                              org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_DIVIDER

          public void complete_DIVIDER​(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.RuleCall ruleCall,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_WS

          public void complete_WS​(org.eclipse.emf.ecore.EObject model,
                                  org.eclipse.xtext.RuleCall ruleCall,
                                  org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                  org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_NEWLINE

          public void complete_NEWLINE​(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.RuleCall ruleCall,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ISODATE

          public void complete_ISODATE​(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.RuleCall ruleCall,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ISOTIME

          public void complete_ISOTIME​(org.eclipse.emf.ecore.EObject model,
                                       org.eclipse.xtext.RuleCall ruleCall,
                                       org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                       org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ISOTIMEZONE

          public void complete_ISOTIMEZONE​(org.eclipse.emf.ecore.EObject model,
                                           org.eclipse.xtext.RuleCall ruleCall,
                                           org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                           org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_EURODATE

          public void complete_EURODATE​(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.RuleCall ruleCall,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_USDATE

          public void complete_USDATE​(org.eclipse.emf.ecore.EObject model,
                                      org.eclipse.xtext.RuleCall ruleCall,
                                      org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                      org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_TWENTYFOURHRSTIME

          public void complete_TWENTYFOURHRSTIME​(org.eclipse.emf.ecore.EObject model,
                                                 org.eclipse.xtext.RuleCall ruleCall,
                                                 org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                                 org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_TWELVEHRSTIME

          public void complete_TWELVEHRSTIME​(org.eclipse.emf.ecore.EObject model,
                                             org.eclipse.xtext.RuleCall ruleCall,
                                             org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                             org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_TIMESPAN

          public void complete_TIMESPAN​(org.eclipse.emf.ecore.EObject model,
                                        org.eclipse.xtext.RuleCall ruleCall,
                                        org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                        org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_MULTIPLIER

          public void complete_MULTIPLIER​(org.eclipse.emf.ecore.EObject model,
                                          org.eclipse.xtext.RuleCall ruleCall,
                                          org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                          org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)

    - #### complete_ANY_OTHER

          public void complete_ANY_OTHER​(org.eclipse.emf.ecore.EObject model,
                                         org.eclipse.xtext.RuleCall ruleCall,
                                         org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext context,
                                         org.eclipse.xtext.ui.editor.contentassist.ICompletionProposalAcceptor acceptor)